locked
Is ProClarity compatible with SSAS 2008 R2? RRS feed

  • Question

  • We are about to upgrade our SQL Servers from 2005 to 2008 R2 and wanted to know if we will have any issues with ProClarity 6.3 in doing this?
    Thursday, September 16, 2010 6:52 PM

All replies

  • Hello,

    There may be some noticable changes in the way ProClarity interacts with your new SQL version.  Some of these are being reviewed and addressed in upcoming product changes.  However, at the moment, 6.3.2222 (SP3) works fine with R2.  Make sure you continue to use the 9.0 provider to create your views.  Queries run against 2008 and later now use the NONEMPTY keyword and this will automatically eliminate empty rows that were seen before in queries against 2005 - unless you used nonemptycrossjoin or intentionally filtered empty rows.  Design change options are now being reviewed that may again make this behavior optional.  Some queries with certain numbers of slicers and/or slicer members may run slower against 2008 and later.  This is being addressed in an upcoming hot fix.  There may be other changes that haven't been reported.  Overall, the move from 2005 to 2008 R2 is a good one due to the major improvements in 2008 SSAS. 

    We plan to post more definitive information to our forum and blog sites as soon as we have it. 

    Thank You,

    -Joey

    Thursday, September 23, 2010 10:39 PM